Bug 163907 - Crash with S3 Trio video card: KeyError: 'S3 Trio3D\nS3 Trio64 3D'
Summary: Crash with S3 Trio video card: KeyError: 'S3 Trio3D\nS3 Trio64 3D'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hwdata
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On: 157972
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-21 21:10 UTC by Bill Nottingham
Modified: 2014-03-17 02:55 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-648
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:32:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:648 qe-ready SHIPPED_LIVE hwdata bug fix update 2005-10-05 04:00:00 UTC

Description Bill Nottingham 2005-07-21 21:10:12 UTC
+++ This bug was initially created as a clone of Bug #157972 +++

Description of problem:
The anaconda installer crashes on machines with a S3 Trio video card. The error
logged is:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 827, in ?
    skipMouseProbe = skipmouseprobe)
  File "/usr/lib/python2.4/site-packages/rhpl/xserver.py", line 79, in probeHW
    videohw    = videocard.VideoCardInfo(skipDCCProbe=skipDCCProbe)
  File "/usr/lib/python2.4/site-packages/rhpl/videocard.py", line 512, in __in__
    if vc.getCardData().has_key("DRIVER"):
  File "/usr/lib/python2.4/site-packages/rhpl/videocard.py", line 175, in
getCardData
    return Video_cardsDBLookup(self.cardData["NAME"])
  File "/usr/lib/python2.4/site-packages/rhpl/videocard.py", line 34, in
VideoCardsDBLookup
    card = Video_cardslist[thecard]
KeyError: 'S3 Trio3D\nS3 Trio64 3D'
install exited abnormally


Version-Release number of selected component (if applicable):
Fedora 4, Test 3
Also reproducable on the rawhide boot.iso from May 17th 2005

How reproducible:
Every time


Steps to Reproduce:
1. Boot Fedora 4, test 3 from the CD-ROM
2. Begin the install process
3. As it goes to switch to graphical mode, it crashes with the above error
  
Actual results:


Expected results:


Additional info:

Comment 4 Red Hat Bugzilla 2005-10-05 16:32:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-648.html



Note You need to log in before you can comment on or make changes to this bug.